{
  "chaoslib-version": "1.23.0",
  "platform": "macOS-12.0-arm64-arm-64bit",
  "node": "Marcels-MBP-M1",
  "experiment": {
    "title": "What is the impact of an expired certificate on our application chain?",
    "description": "If a certificate expires, we should gracefully deal with the issue.",
    "tags": [
      "tls"
    ],
    "steady-state-hypothesis": {
      "title": "Hypothesis",
      "probes": []
    },
    "method": [
      {
        "name": "enable_chaosmonkey",
        "provider": {
          "arguments": {
            "base_url": "http://localhost:8082/actuator"
          },
          "func": "enable_chaosmonkey",
          "module": "chaosspring.actions",
          "type": "python"
        },
        "type": "action"
      },
      {
        "name": "configure_assaults",
        "provider": {
          "arguments": {
            "base_url": "http://localhost:8082/actuator",
            "assaults_configuration": {
              "level": 5,
              "latencyRangeStart": 2000,
              "latencyRangeEnd": 15000,
              "latencyActive": true,
              "exceptionsActive": false,
              "killApplicationActive": false,
              "restartApplicationActive": false
            }
          },
          "func": "change_assaults_configuration",
          "module": "chaosspring.actions",
          "type": "python"
        },
        "type": "action"
      }
    ],
    "rollbacks": [],
    "dry": null
  },
  "start": "2021-11-28T15:24:55.984078",
  "status": "completed",
  "deviated": false,
  "steady_states": {
    "before": null,
    "after": null,
    "during": []
  },
  "run": [
    {
      "activity": {
        "name": "enable_chaosmonkey",
        "provider": {
          "arguments": {
            "base_url": "http://localhost:8082/actuator"
          },
          "func": "enable_chaosmonkey",
          "module": "chaosspring.actions",
          "type": "python"
        },
        "type": "action"
      },
      "output": "{\"status\":\"Chaos Monkey is enabled\",\"enabledAt\":\"2021-11-28T15:24:56.52458Z\"}",
      "status": "succeeded",
      "start": "2021-11-28T15:24:55.984855",
      "end": "2021-11-28T15:24:56.785205",
      "duration": 0.80035
    },
    {
      "activity": {
        "name": "configure_assaults",
        "provider": {
          "arguments": {
            "base_url": "http://localhost:8082/actuator",
            "assaults_configuration": {
              "level": 5,
              "latencyRangeStart": 2000,
              "latencyRangeEnd": 15000,
              "latencyActive": true,
              "exceptionsActive": false,
              "killApplicationActive": false,
              "restartApplicationActive": false
            }
          },
          "func": "change_assaults_configuration",
          "module": "chaosspring.actions",
          "type": "python"
        },
        "type": "action"
      },
      "output": "Assault config has changed",
      "status": "succeeded",
      "start": "2021-11-28T15:24:56.785494",
      "end": "2021-11-28T15:24:57.394090",
      "duration": 0.608596
    }
  ],
  "rollbacks": [],
  "end": "2021-11-28T15:24:57.394597",
  "duration": 1.4326798915863037
}